/*
##################################################################################################

  FUNCTION      : KOPIRAJ()

  IZMENA        : *  27.08.2007  -  10:09:53

  AUTOR       : * COBA Systems  Slobodan M. Stanojevi Coba *

  SINTAKSA    : KOPIRAJ(SourceCopy, TargetCopy, MaskaCopy, cNaslov, dialog)

  PARAMETRI   :
                SourceCopy = "C:\COBA2000\FIRME\LICENCE" // DRAJV + FOLDER za uzimanje materijala
                TargetCopy = "LICENCE"                   // FOLDER bez DRAJVA za slanje materijala
                MaskaCopy  = "*.*"                       // koji fajlovi se kopiraju
                cNaslov    = "Baza podataka artikala"    // sta se kopira - opisno
                dialog     = .T.                         // prikai FileDialog

  RETURN      : T/F
  PRIMENA     :
                #include "XBTSYS.CH"           // zbog: FileCopy(), DirMake()
                #pragma library("XppUi2")      // zbog: XbpFileDialog():new()

                FUNCTION TEST_kopiraj()

                 SourceCopy := "C:\WINDOWS"    // DRAJV + FOLDER za uzimanje materijala , "C"
                 TargetCopy := "OBRISATI"      // FOLDER bez DRAJVA za slanje materijala
                 MaskaCopy  := "*.INI"         // koji fajlovi se kopiraju
                 cNaslov    := "INI fajlovi"   // sta se kopira - opisno
                 dialog     := .T.             // Otvori FileDialog na target lokaciji da
                                               // vidi rezultat kopiranja

                KOPIRAJ(SourceCopy, @TargetCopy, MaskaCopy, cNaslov, .T.)

               RETURN(nil)

  POZIVA SE IZ:
  POZIVA DRUGE: FileCopy() iz XbTools

  PURPOSE     : Svrha/Cilj/Funkcija
                KOPIRA JEDAN FAJL ILI GRUPU FAJLOVA (maska *.*)
                SA ZADATE LOKACIJE (pun PATH),
                NA ZADATI DRAJV U ZADATI FOLDER
  OPIS        :


##################################################################################################
*/



#include "Appevent.ch"
#include "Common.ch"
#include "prompt.ch"
#include "xbp.ch"
#include "inkey.ch"
#include "font.ch"
#include "gra.ch"
#include "dll.ch"
#include "set.ch"

 #include "XBTSYS.CH"
 #pragma library("XppUi2") // zbog file dialoga




 FUNCTION KOPIRAJ(SourceCopy, TargetCopy, MaskaCopy, cNaslov, dialog)


   //--------------------------------------------------------------
   //            KOPIRAJ JEDAN/GRUPU FAJL NA ZADATI DRAJV
   //--------------------------------------------------------------
      LOCAL drajv := "A", aFileNames, nCount, fajl1, fajl2, i
      LOCAL FajlSourceCopy, FajlTargetCopy

      * PARAMETRI:
      *      SourceCopy     // DRAJV + FOLDER za uzimanje materijala , "C"
      *      TargetCopy     // FOLDER bez DRAJVA za slanje materijala
      *      MaskaCopy      // koji fajlovi se kopiraju
      *      cNaslov        // sta se kopira - opisno
      *      lPrikaz        // Otvori File Dialog za pregled kopije

      DEFAULT SourceCopy TO "C:"  ,;
              TargetCopy TO ""    ,;
              MaskaCopy  TO "*.*" ,;
              cNaslov    TO "OK"  ,;
              dialog     TO .F.

      IF FILE(SourceCopy+"\","D")=.F.
         ConfirmBox(,"Ne postoji lokacija podataka"+CHR(13)+SourceCopy,;
                     cNaslov,XBPMB_OK,XBPMB_CRITICAL)
         RETURN(.F.)
      ENDIF

     ****************************************************************
      drajv := c_zadaj("KOPIRANJE NA DRAJV: A,B,C,D,E...","A",1,.F.)
     ****************************************************************

   //--------------------------------------------------------------
     TargetCopy := ALLTRIM(drajv) + ":\" + TargetCopy
     IF FILE(TargetCopy,"D")=.F.       //  ako je nema napravi je
      rezultat = DirMake(TargetCopy)   //  XbToolsIII
        IF rezultat <> NO_DISK_ERR
         ConfirmBox(,"Nemogue kopiranje na:"+chr(13)+TargetCopy,;
                     cNaslov,XBPMB_OK,XBPMB_CRITICAL)
         RETURN(.F.)
        ENDIF
     ENDIF
   //--------------------------------------------------------------
      nCount     := ADir( SourceCopy+"\"+MaskaCopy )
      aFileNames := Array( nCount )

      ADir( SourceCopy+"\"+MaskaCopy, aFileNames )

      FOR i = 1 TO nCount

        fajlSourceCopy := SourceCopy + "\" + alltrim(aFileNames[i])
        fajlTargetCopy := TargetCopy + "\" + alltrim(aFileNames[i])
       **************************************************************
        FileCopy( (fajlSourceCopy),(fajlTargetCopy) ) //  XbToolsIII
       **************************************************************
      NEXT i

      ConfirmBox(,"Kopirano na:"+CHR(13)+TargetCopy,cNaslov,XBPMB_OK)
   //--------------------------------------------------------------
   //            KOPIRAJ JEDAN/GRUPU FAJL NA ZADATI DRAJV
   //--------------------------------------------------------------


    IF dialog = .T.   // prikai filedialog

      oFileDlg   := XbpFileDialog():new()
      oFileDlg:create( AppDesktop() )
      cFile := oFileDlg:open( TargetCopy )
      SetAppFocus(oFileDlg)

    ENDIF

CLEAR TYPEAHEAD
RETURN(.T.)






